Ix hébergement web wordpress installer WAMP

Cet article est de répondre à des questions au sujet de faire le passage de PHP 4.x à PHP 5.x sur votre plate-forme d'hébergement web.

Le passage à PHP 5

Pour identifier la version de PHP votre serveur web utilise, téléchargez le plug-in Health Check WordPress. Lorsque vous activez le plug-in, il vous dira si vous êtes prêt pour WordPress 3.2. Dans le cas contraire, contactez votre fournisseur d'hébergement Web et leur demander de fournir un soutien pour PHP 5. Conseils sont disponibles ci-dessous.

Ix hébergement web wordpress installer WAMP Et pour

Compatibilité: Est-ce que PHP 5 thèmes WordPress Pause ou plugins?

Les développeurs WordPress et le thème et les auteurs Plugin utilisent la version actuelle de PHP 5.2 pendant un certain temps, rester à jour avec des améliorations dans la technologie de codage. Les versions actuelles et mises à jour doivent être conformes et vous ne devriez pas avoir des problèmes lorsque vous mettez à niveau votre hébergement à une version récente de PHP comme PHP 5.2.x ou 5.3.x.

En fait, WordPress fonctionne mieux sur PHP 5 qu'il fait sur PHP 4. PHP 4 est obsolète et WordPress est pas beaucoup testé pour fonctionner sur plus longtemps (pas autant que PHP 5 de loin au moins). Et pour de nombreux plugins et des thèmes c'est le même, 5.2 PHP est pris en charge dès maintenant sur la plupart des hôtes.

Certains bugs n'existent que lorsque vous exécutez WordPress sur PHP 4, mais ils n'existent pas lorsque vous exécutez sur PHP 5. Dans ce cas, pas de PHP 5 mais PHP 4 est le problème.

Certains plugin WordPress et les auteurs de thème travaillent sur des versions compatibles uniquement avec PHP 5 et ses caractéristiques et capacités améliorées. Ainsi, ceux-ci ne fonctionnent même pas avec PHP 4 ou PHP 5 versions plus.

Cependant, anciens thèmes et plugins peuvent avoir un code PHP qui éventuellement pourrait ne pas fonctionner avec toutes les versions PHP 5. Vérifiez les thèmes et les auteurs Plugin pour les besoins spécifiques des plug-ins que vous utilisez. PHP 4 est officiellement fin de vie depuis Août 2008 (cela signifie pas des correctifs de sécurité depuis il y a plus d'un an). Si votre plug-in n'a pas été mis à jour depuis des années, s'il vous plaît rechercher des versions mises à jour, ou envisager de modifier une autre option.

Si vous utilisez le code non spécifiques tels que WordPress JavaScript, gadgets, widgets, ou d'autres scripts personnalisés ou PHP tiers, vérifiez auprès de la source d'origine pour les versions mises à jour, juste au cas où. Parce que PHP 5 est la plupart du temps rétrocompatible vous ne devriez pas avoir de problème normalement.

Le passage de PHP 4 à PHP 5.2 est connu pour causer un problème dans laquelle apparaît au-dessus du charabia l'en-tête de blog Wordpress lié à « open_basedir restriction. » Il fonctionne généralement comme ceci:

Cela peut facilement être corrigée en modifiant la table MySQL. Rechercher et trouver wp_options « option_name = « upload_path » » et réduire la valeur de la colonne. Par exemple, si la valeur est « / home / my_account / wp-content / uploads, » changer pour « wp-content / uploads ». Plus d'informations peuvent être trouvées ici

wordpress hébergement web Ix installer WAMP peut être

Hébergement Web PHP Exemples de commutation

Cette liste est destinée à montrer des exemples de la façon d'échanger à sur divers hôtes PHP5. Ce n'est pas une liste complète, ni officielle. S'il vous plaît vérifier avec votre hébergeur pour des informations spécifiques et mises à jour.

  • 11 Allemagne (confirmé pour le paquet WebHosting 5.0) - Pour analyser tous les fichiers php dans php5, les lignes de code suivantes doivent être ajoutés au fichier .htaccess du répertoire racine:
  • Blue Host (Confirmé) - Prise en charge PHP 5 par défaut.
  • DreamHost (non confirmée) - Visite Domaines> Gérer Domaines> Modifier domaine dans votre panneau de contrôle.
  • Gradwell - Visitez le Panneau de configuration> Hébergement> Gérer Domaines> Cliquez sur le nom de domaine. Modifiez le fichier de zone par défaut d'hébergement sur le cluster php 5. Cliquez sur la mise à jour. Dans « Hosting Unix, » modifier le domaine et passer à PHP 5.
  • GoDaddy - du centre de contrôle d'hébergement, sélectionnez Contenu> Ajouter-sur les langues. Sélectionnez « PHP 5.x » comme la version, puis cliquez sur Continuer et mise à jour.
  • HostMonster - Prise en charge PHP 5.2, 5.2fastCGI, 5.3, 5.4 5.4fastCGI par défaut (confirmé fonctionne bien sur 5.4 5.4fastCGI)
  • Media Temple - Vérifier la base de connaissances de l'aide sur la mise à niveau.
  • OVH - Pour analyser tous les fichiers php dans php5, ajoutez la ligne de code suivante au fichier .htaccess du répertoire racine:
  • cPanel (vérifié sur PAC WebHosting, mais applique probablement à tous les services d'hébergement web basé cPanel) - Sur la page principale cPanel> Logiciels> Configuration de PHP. En haut de la page de configuration de PHP, où il est dit « L'extension de fichier « .php » sera traitée par » et sélectionnez PHP 5 dans la zone de liste déroulante. Cliquez sur le bouton « Mettre à jour ».
  • NearlyFreeSpeech.net Connectez-vous à votre compte, cliquez sur votre site et changer le type de serveur. Le changement prendra effet en quelques minutes. C'est aussi simple que ça!

FAQ sur PHP 5 Déplacement à

Est-ce que je dois refaire mon site tout sur? Non, dans la plupart des cas il n'y aurait pas besoin de changer quoi que ce soit sur votre site. Si vous utilisez une version très ancienne de WordPress, vous pouvez voir une meilleure compatibilité de la mise à niveau, mais c'est un bon conseil, peu importe ce que PHP que vous utilisez. Puis-je demander à mon hébergeur installer PHP 5 ou dois-je faire moi-même? Cela varie d'un hôte à l'hôte. Dans certains cas, une demande via un ticket de support vous obtiendrez une réponse de votre hébergeur web. D'autres offrent l'option via le panneau de contrôle de votre hôte. Il est généralement une procédure simple. Que faire si mon hébergeur ne propose pas PHP 5? La plupart des fournisseurs hôtes responsables ont déjà fait l'interrupteur. Demandez s'ils ont l'intention d'introduire le support de PHP5. Si elles envisagent d'introduire le soutien bientôt, alors il ne devrait pas être un problème. S'ils ont pas de tels plans, vous voudrez peut-être regarder autour pour les fournisseurs alternatifs. Combien de travail et le temps cela prendra? Si votre hébergeur fournit le devrait être indolore et rapide alternatif, passant de PHP 4 à PHP 5. S'il y a des problèmes avec les thèmes WordPress, plugins et autres scripts et le code PHP, il pourrait être plus de travail, même si la plupart sont mis à jour maintenant. Dans la plupart des cas, cependant, il est aussi simple que de cliquer sur un bouton ou deux et d'attendre que cela se produise. Combien d'argent ce coût? La plupart des hôtes ne facturera pour fournir PHP5. Si vous avez payé Thèmes WordPress prime ou WordPress Plugins, vérifiez les arrangements de soutien pour les versions PHP5. Si mon hôte ne met pas à niveau, puis-je utiliser WordPress? Comme PHP5 fonctionnalité devient plus commune, et la possibilité qu'une faille de sécurité sera exploité affectant les sites en cours d'exécution sur la plate-forme PHP 4, les exploits non spécifiques à WordPress, la nécessité pour les hôtes Web pour la mise à niveau deviendra essentielle pour fournir un soutien à la clientèle de qualité. Il est peu probable que beaucoup restent avec les anciennes versions. WordPress travaille dur pour maintenir la rétrocompatibilité aussi longtemps que possible. Puis-je tester localement? XAMPP (apachefriends.org GRATUIT / Windows, Mac, Linux et Solaris), inclut Apache (2.4.4), MySQL (5.6.11), PHP (5.5.1) + PEAR, Perl, mod_php, mod_perl, mod_ssl, OpenSSL, phpMyAdmin (4.0.4), Webalizer, système Mercury mail Transport, FileZilla FTP Server (0.9.41), mcrypt, eAccelerator et plus encore. Avoir des installateurs d'auto pour Wordpress, Drupal et Joomla. ESSAI tout ce que vous voulez, je l'ai fait et Wordpress v3.6 fonctionne sur ces versions.

Pourquoi passer à PHP 5

En Août 2008 PHP 4 est devenu une fin de vie du produit. Cela signifie qu'aucun effort supplémentaire serait dépensé dans la correction de bugs, amélioration ou patcher les trous de sécurité dans la version PHP trouvés 4. effort de développement déplacé vers PHP 5.

Depuis lors, les hébergeurs ont progressivement été l'introduction d'offres basées sur PHP 5 dans leurs portefeuilles. La plupart des fournisseurs d'hébergement Web décent maintenant permettent PHP 5 hébergement - mais pour certains, il ne peut pas être la valeur par défaut.

Par rapport à PHP 4, PHP 5 est plus rapide, plus facile pour les développeurs de maintenir et code, et intègre mieux dans les services Web. Peut-être plus important encore, il est également un courant, pris en charge, produit.

WordPress et PHP 5

À l'heure actuelle fonctionne WordPress sur les deux PHP 4 et PHP 5 plateformes. Le point de vue historique est que WordPress continuerait d'avoir une exigence minimum PHP 4 jusqu'à ce que la base d'utilisateurs a atteint un point de basculement en PHP 5 adoption.

Il est clair que les développeurs de WordPress ne peuvent pas continuer à coder pour PHP 4 indéfiniment. sentiment actuel est que beaucoup PHP 5 ne présente que peuvent être introduits dans WordPress 3.0. Certaines fonctionnalités existantes, comme support des fuseaux horaires de pointe, sont déjà dans WordPress et comptent sur les capacités actuelles que dans PHP 5.

Le changement est plus susceptible d'être une dérive loin de PHP 4 à un brusque détour. Par exemple, les gens ont plus de succès avec la fonctionnalité de mise à niveau automatique quand ils sont en cours d'exécution sur un hôte de PHP5.

En Septembre 2011, la tentative de mise à jour vers Wordpress 3.2.1 sur PHP 4 entraînera sur votre blog devient inutilisable. Une seule ligne de texte affiche qui va lire:

Si vous utilisez PHP 4, il est fortement recommandé d'éviter la mise à niveau de Wordpress 3.2.1, et d'abord l'accent sur la mise à niveau PHP.

Cet article est marqué comme dans le besoin de l'édition. Vous pouvez aider Codex en le modifiant.

Articles Liés

Avec hébergement wordpress CommencerIl y a des centaines de milliers d'hébergeurs de sites là-bas, la grande majorité des répondant aux exigences minimales WordPress. et en choisissant l'un de la foule peut être une corvée. Tout comme des fleurs ...
hébergement gratuit base de données plug-ins wordpressIl y a des centaines de milliers d'hébergeurs de sites là-bas, la grande majorité des répondant aux exigences minimales WordPress. et en choisissant l'un de la foule peut être une corvée. Tout comme des fleurs ...
besoins d'hébergement Django pour wordpressPour exécuter WordPress, nous recommandons votre hôte prend en charge: C'est vraiment. Nous vous recommandons Apache ou Nginx comme serveur plus robuste et plus complet pour exécuter WordPress, mais tout serveur qui prend en charge PHP ...
Web d'hébergement australie site wordpressLe choix d'un service d'hébergement Web peut être une tâche déroutante, avec tant de fournisseurs d'hébergement web là-bas, qui offrent des services similaires. Nous avons donc pris cette décision plus facile en mettant en valeur les 10 meilleurs ...
wordpress hébergement web CoxLe choix d'un service d'hébergement Web peut être une tâche déroutante, avec tant de fournisseurs d'hébergement web là-bas, qui offrent des services similaires. Nous avons donc pris cette décision plus facile en mettant en valeur les 10 meilleurs ...